<?php
/*
Plugin Name: WP-CMS
Plugin URI: http://www.gilbertpellegrom.co.uk/wp-cms
Description: Makes the Wordpress admin section act more like a CMS.
Version: 1.0
Author: Gilbert Pellegrom
Author URI: http://www.gilbertpellegrom.co.uk

Copyright 2008  Gilbert Pellegrom  (email : drummermanny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function wp_cms() {
	global $menu, $submenu;
		
	//New Menu
	$menu[5] = array(__('Create'), 'edit_pages', 'page-new.php');
	$menu[10] = array(__('Manage'), 'edit_pages', 'edit-pages.php');
	$menu[15] = array(__('Media'), 'upload_files', 'upload.php');
	$menu[20] = array(__('Themes'), 'switch_themes', 'themes.php');
	$menu[25] = array(__('Users'), 'edit_users', 'users.php');
	
	//Removed submenu items. Comment these lines to add them to the submenu.
	unset($submenu['post-new.php'][10]); //Write > Post
	unset($submenu['post-new.php'][15]); //Write > Link
	unset($submenu['edit.php'][10]); //Manage > Posts
	unset($submenu['edit.php'][15]); //Manage > Links
	unset($submenu['edit.php'][20]); //Manage > Categories
	unset($submenu['edit.php'][25]); //Manage > Tags
	unset($submenu['edit.php'][30]); //Manage > Link Categories
	unset($submenu['edit.php'][35]); //Manage > Media Library
	unset($submenu['themes.php'][7]); //Design > Widgets
	unset($submenu['options-general.php'][15]); //Settings > Writing
	unset($submenu['options-general.php'][25]); //Settings > Discussion
	unset($submenu['options-general.php'][35]); //Settings > Permalinks
	unset($submenu['options-general.php'][40]); //Settings > Miscellaneous
	unset($submenu['plugins.php'][10]); //Plugins > Plugin Editor
	
	//Make submenu change pages not posts
	$submenu['post-new.php'][5] = array(__('New Page'), 'edit_pages', 'page-new.php');
	$submenu['edit.php'][5] = array(__('Pages'), 'edit_pages', 'edit-pages.php');
	
}

function wp_cms_hide(){
	global $userdata;
	get_currentuserinfo();
	
	//Hide unwanted #submenu for certain pages
	if($_SERVER['REQUEST_URI'] == '/wp-admin/upload.php'){
		?>
		<style type="text/css">
		#submenu a {
			display:none;
		}
		</style>
		<?
	}
	
	if($_SERVER['REQUEST_URI'] == '/wp-admin/index.php' || $_SERVER['REQUEST_URI'] == '/wp-admin/'){
		?>
		<style type="text/css">
		#dashboard_recent_comments, #dashboard_incoming_links, #dashboard_primary, #dashboard_plugins {
			display:none;
		}
		</style>
		<?
	}

	?>
	<style type="text/css">
	#pagepostcustom, #pagepassworddiv, #pageparentdiv, #pagetemplatediv {
		display:none;
	}
	</style>
	<?
	
	//Hide Users from #sidemenu, change footer and user_info content, change dashboard
	?>
	<script type="text/javascript">
	document.getElementById('sidemenu').innerHTML = "<li><a href='options-general.php'>Settings</a></li><li><a href='plugins.php'>Plugins</a></li>";
	document.getElementById('footer').innerHTML = "<p>Thank you for creating with <a href=\"http://wordpress.org/\">WordPress</a> | Version <?php bloginfo('version'); ?></p>";
	document.getElementById('user_info').innerHTML = "<p>Howdy, <a href=\"profile.php\"><? echo $userdata->display_name; ?></a>! | <a href=\"http://demo.gilbertpellegrom.co.uk/wp-login.php?action=logout\" title=\"Log Out\">Log Out</a></p>";
	document.getElementById('rightnow').innerHTML = "<h3 class=\"reallynow\"><span>Right Now</span><a href=\"page-new.php\" class=\"rbutton\">Write a New Page</a><br class=\"clear\" /></h3><p><ul><li><a href=\"page_new.php\">Write a new page</a></li><li><a href=\"edit-pages.php\">Manage your pages</a></li><li><a href=\"upload.php\">Manage your media</a></li><li><a href=\"themes.php\">Change the theme</a></li><li><a href=\"users.php\">Manage the users</a></li></ul></p>";
	</script>
	<?
}

function wp_cms_activate(){
	//Database updates
	update_option('permalink_structure', '/%year%/%monthnum%/%day%/%postname%/');
	update_option('show_on_front', 'page');
	update_option('page_on_front', '2');	
}


add_action('admin_menu', 'wp_cms');
add_action('admin_footer', 'wp_cms_hide');
register_activation_hook(__FILE__, 'wp_cms_activate');
?>